/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package managed_beans;

import entities.User;
import javax.inject.Named;
import javax.enterprise.context.RequestScoped;
import javax.faces.annotation.FacesConfig;
import util.dao.UserDAO;

/**
 *
 * @author jelic
 */
@Named(value = "registrationManagedBean")
@RequestScoped
@FacesConfig(version = FacesConfig.Version.JSF_2_3)
public class RegistrationManagedBean {

    /**
     * Creates a new instance of RegistrationManagedBean
     */
    public RegistrationManagedBean() {
    }
    
    private User newUser = new User();

    public User getNewUser() {
        return newUser;
    }

    public void setNewUser(User newUser) {
        this.newUser = newUser;
    }
    
    public void register(){
        UserDAO userDAO = new UserDAO();

        if (!userDAO.usernameExists(newUser.getUsername())) {
            if (userDAO.insertUser(newUser)) {
                message = "Uspeh!";
                newUser = new User();
            } else {
                message = "Doslo je do greske prilikom unosa.";
            }
        }
        else{
            message = "Korisnicko ime je zauzeto";
        }
    }
    
    private String message;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    
    
    
}
