/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package managed_beans;

import entities.User;
import javax.enterprise.context.RequestScoped;
import javax.faces.annotation.FacesConfig;
import javax.inject.Named;
import javax.servlet.http.HttpSession;
import util.dao.UserDAO;


/**
 *
 * @author jelic
 */
@Named(value = "loginManagedBean")
@RequestScoped
@FacesConfig(version = FacesConfig.Version.JSF_2_3)
public class LoginManagedBean {

    /**
     * Creates a new instance of LoginManagedBean
     */
    public LoginManagedBean() {
    }
    
    private String username;
    private String password;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
    
    private String message;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    
    public String login(){
        User k = new UserDAO().login(username, password);
        if (k == null) {
            //System.out.println("nema korisnika");
            message = "Pogresno korisnicko ime ili lozinka";
            return null;
        } else {
            //System.out.println("ima korisnika");
            HttpSession session = util.SessionUtils.getSession();
            session.setAttribute("korisnik", k);

            if ("nastavnik".equalsIgnoreCase(k.getType())) {
                return "teacher";
            } else if ("laborant".equalsIgnoreCase(k.getType())) {
                return "lab";
            } else {
                message = "Nepoznat tip korisnika";
                return "index";
            }
        }
    }
     
   
    public String logout() {
        HttpSession session = util.SessionUtils.getSession();
        session.invalidate();
        return "index";
    }
    
    
}
